<?php 
/*
Plugin Name: Banner Cookies
Plugin URI: http://www.aganis.it/cookie-banner.html
Description: Banner di avviso uso dei cookie con accettazione esplicita. ATTENZIONE! Questo plugin non effettua nessun bloccco di Cookie.<br/>Per cambiare le impostazioni del Plugin accedere alla voce Impostazioni -> Cookie banner
Author: Aganis Web Software
Author URI: http://www.aganis.it
Version: 1.0
*/

if (!defined("CC_url")) { define("CC_url", WP_PLUGIN_URL.'/cookie-banner'); } //NO TRAILING SLASH
if (!defined("CC_dir")) { define("CC_dir", WP_PLUGIN_DIR.'/cookie-banner'); } //NO TRAILING SLASH

require_once ( CC_dir . '/opzioni.php' );

$cookie_banner = new cookie_banner;

class cookie_banner{

	private $cc_v = 'current';

	function cookie_banner(){
		$this->__construct();
	}
	
	function __construct(){
		add_action('wp_footer', array($this, 'footer_js'));		
	}
		
	function footer_js(){
		
		$url=plugins_url();
		
		$options = get_option( 'cookie_banner_options' ); 

		$position=($options['posizione']=='top')?' data-position="'.$options['posizione'].'"':'';
		$cookie_name=($options['cookie']!='')?' data-cookie="'.$options['cookie'].'"':'';
		$sfondo=($options['bg']!='')?' data-bg="'.$options['bg'].'"':'';
		$colorecarattere=($options['fc']!='')?' data-fg="'.$options['fc'].'"':'';
		$colorelink=($options['lc']!='')?' data-link="'.$options['lc'].'"':'';
		$messaggio=($options['messaggio']!='')?' data-message="'.$options['messaggio'].'"':'';
		$nome_link=($options['link_name']!='')?' data-linkmsg="'.$options['link_name'].'"':'';
		$link_url=($options['link_url']!='')?' data-moreinfo="'.$options['link_url'].'"':'';
		$mask=($options['mask']=='S')?' data-mask=true':'';
		$scroll=($options['scroll']=='S')?' data-accept-on-scroll=true':'';
		
		if ($options['mask']=='S') {
			$maskopacity=($options['opacity_mask']!='')?' data-mask-opacity="'.$options['opacity_mask'].'"':'';
			$masccolor=($options['color_mask']!='')?' data-mask-background="'.$options['color_mask'].'"':'';
		}
		$opt=$position.$cookie_name.$sfondo.$colorecarattere.$colorelink.$messaggio.$nome_link.$link_url.$mask.$scroll.$maskopacity.$masccolor;
		
		?>
		<script type="text/javascript" id="cookiebanner" src="<?=$url;?>/cookie-banner/cookiebanner.min.js?v=1.0" data-moreinfo="/cookies" <?=$opt;?>></script>
		<?php
	}
	
}

?>